## python-yamlfix 1.16.0

=== Makefile ===
.DEFAULT_GOAL := test
isort = pdm run isort src tests
black = pdm run black --target-version py37 src tests

.PHONY: install
install:
	pdm install --dev

.PHONY: update
update:
	@echo "-------------------------"
	@echo "- Updating dependencies -"
	@echo "-------------------------"

	pdm update --no-sync --update-eager
	pdm sync --clean

	@echo "\a"

.PHONY: update-production
update-production:
	@echo "------------------------------------"
	@echo "- Updating production dependencies -"
	@echo "------------------------------------"

	pdm update --production --no-sync --update-eager -v
	pdm sync --clean

	@echo "\a"

.PHONY: outdated
outdated:
	@echo "-------------------------"
	@echo "- Outdated dependencies -"
	@echo "-------------------------"

	pdm update --dry-run --unconstrained

	@echo "\a"

.PHONY: format
format:
	@echo "----------------------"
	@echo "- Formating the code -"
	@echo "----------------------"

	$(isort)
	$(black)

	@echo ""

.PHONY: lint
lint:
	@echo "--------------------"
	@echo "- Testing the lint -"
	@echo "--------------------"

	pdm run flakeheaven lint src/ tests/
	$(isort) --check-only --df
	$(black) --check --diff

	@echo ""

.PHONY: mypy
mypy:
	@echo "----------------"
	@echo "- Testing mypy -"
	@echo "----------------"

	pdm run mypy src tests

	@echo ""

.PHONY: test
test: test-code test-examples

	@echo "\a"

.PHONY: test-code
test-code:
	@echo "----------------"
	@echo "- Testing code -"
	@echo "----------------"

	pdm run pytest --cov-report term-missing --cov src tests/* ${ARGS}

	@echo ""

.PHONY: test-examples
test-examples:
	@echo "--------------------"
	@echo "- Testing examples -"
	@echo "--------------------"

	@find docs/examples -type f -name '*.py' | xargs -I'{}' sh -c 'echo {}; pdm run python {} >/dev/null 2>&1 || (echo "{} failed" ; exit 1)'
	@echo ""

	# pdm run pytest docs/examples/*

	@echo ""

.PHONY: all
all: lint mypy test security build-docs

	@echo "\a"

.PHONY: clean
clean:
	@echo "---------------------------"
	@echo "- Cleaning unwanted files -"
	@echo "---------------------------"

	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*.rej' `
	rm -rf `find . -type d -name '*.egg-info' `
	rm -rf `find . -type d -name '.mypy_cache' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -rf .cache
	rm -rf .pytest_cache
	rm -rf .mypy_cache
	rm -rf htmlcov
	rm -f .coverage
	rm -f .coverage.*
	rm -rf build
	rm -rf dist
	rm -f src/*.c pydantic/*.so
	rm -rf site
	rm -rf docs/_build
	rm -rf docs/.changelog.md docs/.version.md docs/.tmp_schema_mappings.html
	rm -rf codecov.sh
	rm -rf coverage.xml

	@echo ""

.PHONY: docs
docs: test-examples
	@echo "-------------------------"
	@echo "- Serving documentation -"
	@echo "-------------------------"

	pdm run mkdocs serve

	@echo ""

.PHONY: bump
bump: pull-main bump-version build-package upload-pypi clean

	@echo "\a"

.PHONY: pull-main
pull-main:
	@echo "------------------------"
	@echo "- Updating repository  -"
	@echo "------------------------"

	git checkout main
	git pull

	@echo ""

.PHONY: build-package
build-package: clean
	@echo "------------------------"
	@echo "- Building the package -"
	@echo "------------------------"

	pdm build

	@echo ""

.PHONY: build-docs
build-docs:
	@echo "--------------------------"
	@echo "- Building documentation -"
	@echo "--------------------------"

	pdm run mkdocs build --strict

	@echo ""

.PHONY: upload-pypi
upload-pypi:
	@echo "-----------------------------"
	@echo "- Uploading package to pypi -"
	@echo "-----------------------------"

	twine upload -r pypi dist/*

	@echo ""

.PHONY: bump-version
bump-version:
	@echo "---------------------------"
	@echo "- Bumping program version -"
	@echo "---------------------------"

	pdm run cz bump --changelog --no-verify
	git push
	git push --tags

	@echo ""

.PHONY: security
security:
	@echo "--------------------"
	@echo "- Testing security -"
	@echo "--------------------"

	pdm run safety check
	@echo ""
	pdm run bandit -r src

	@echo ""

.PHONY: version
version:
	@python -c "import yamlfix.version; print(yamlfix.version.version_info())"

=== debian/changelog ===
python-yamlfix (1.16.0-1) unstable; urgency=medium

  * [0467980] New upstream version 1.16.0
  * [b30b6e4] d/control: Upstream did move over to pdm-backend

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 06 Dec 2023 17:58:47 +0100

python-yamlfix (1.15.0-1) unstable; urgency=medium

  * [c00657c] New upstream version 1.15.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 02 Nov 2023 21:23:42 +0100

python-yamlfix (1.13.0-2) unstable; urgency=medium

  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 23 Sep 2023 13:29:26 +0200

python-yamlfix (1.13.0-1) unstable; urgency=medium

  * [e02a1b1] New upstream version 1.13.0
  * [e358cce] First and basic Debianization
    (Closes: #1051978)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 15 Sep 2023 14:52:56 +0530

=== debian/control ===
Source: python-yamlfix
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Carsten Schoenert <c.schoenert@t-online.de>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pdm-backend,
Build-Depends-Indep:
# mkdocs  <!nodoc>,
# mkdocstrings <!nodoc>,
# mkdocs-material <!nocheck>,
 python3-click <!nocheck>,
 python3-maison <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-ruyaml <!nocheck>,
# python3-pymdownx <!nodoc>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-yamlfix
Vcs-Git: https://salsa.debian.org/python-team/packages/python-yamlfix.git
Homepage: https://github.com/lyz-code/yamlfix

Package: python3-yamlfix
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: Simple opionated yaml formatter that keeps your comments
 yamlfix is a Python based YAML file formatter which will fix any known
 formatting issue within your YAML files automatically.
 .
 It can read configuration settings from pyproject.toml, from configuration
 files or environment variables while it is called from the CLI or by
 including as Python library.
 .
 Main feature are:
  * Add the header --- to your file.
  * Correct truthy strings: 'True' -> true, 'no' -> 'false'
  * Remove unnecessary apostrophes:
    title: 'Why we sleep' -> title: Why we sleep.
  * Correct comments
  * Ensure that there is exactly one newline at the end of each file, to
    comply with the POSIX standard.
  * Split long lines.
  * Respect Jinja2 syntax.
  * Convert short lists to flow-style list: [item, item]
  * Convert lists longer than line-width to block-style 
 .
 This package provides the Python 3.x module.

=== debian/watch ===
version=4

opts="pgpmode=none, \
      mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+(debian|dfsg|ds|deb)([\.\d]+)?$//" \
https://github.com/lyz-code/yamlfix.git \
      refs/tags/@ANY_VERSION@

## python-yamlfix 1.17.0

=== debian/changelog ===
python-yamlfix (1.17.0-4) unstable; urgency=medium

  * Team upload.
  * [c403fa3] Add the click-8.2 patch to fix the test suite
  * [58b7ea8] Add Salsa CI configuration

 -- Peter Pentchev <roam@debian.org>  Sat, 22 Feb 2025 18:38:14 +0200

python-yamlfix (1.17.0-3) unstable; urgency=medium

  * Team upload.
  * add versioned Build-Depends-Indep: python3-click (>= 8.1.3~),
    python3-pydantic (>= 2~), python3-ruyaml (>= 0.91.0~).
    pydantic 2 in particular is needed for yamlfix 1.17 to pass tests
    with maison 2.
  * add manpage for yamlfix, generated using help2man

 -- Drew Parsons <dparsons@debian.org>  Mon, 02 Sep 2024 10:34:20 +0200

python-yamlfix (1.17.0-2) unstable; urgency=medium

  * Team upload.
  * Version python3-maison build-dependency so that autopkgtests can pass.

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Aug 2024 09:14:58 +0100

python-yamlfix (1.17.0-1) unstable; urgency=medium

  * [8c0163d] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.
  * [f51954c] New upstream version 1.17.0
    (Closes: #1077459)
  * [523d3aa] d/control: Add new B-D on python-pydantic

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 25 Aug 2024 19:02:27 +0200

=== debian/control ===
--- 
+++ 
@@ -13,14 +13,15 @@
 # mkdocs  <!nodoc>,
 # mkdocstrings <!nodoc>,
 # mkdocs-material <!nocheck>,
- python3-click <!nocheck>,
- python3-maison <!nocheck>,
+ python3-click (>= 8.1.3~) <!nocheck>,
+ python3-maison (>= 2.0.0~) <!nocheck>,
+ python3-pydantic (>= 2~) <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
- python3-pytest <!nocheck>,
  python3-pytest-xdist <!nocheck>,
- python3-ruyaml <!nocheck>,
+ python3-ruyaml (>= 0.91.0~) <!nocheck>,
 # python3-pymdownx <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-yamlfix
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-yamlfix.git
@@ -50,6 +51,6 @@
   * Split long lines.
   * Respect Jinja2 syntax.
   * Convert short lists to flow-style list: [item, item]
-  * Convert lists longer than line-width to block-style 
+  * Convert lists longer than line-width to block-style
  .
  This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=yamlfix
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/htmlcov \
                                    {destdir}/usr/lib/python3*/dist-packages/.coverage \
                                    {destdir}/usr/lib/python3*/dist-packages/coverage.xml
export PYBUILD_SYSTEM=pyproject

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: smoke
Depends:
 python3-all,
 python3-click,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-xdist,
 @,
Restrictions: allow-stderr
